Bug 6538 - Fail to back out lockingX calls on error.
Fail to back out lockingX calls on error.
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.0
All Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 15:12 UTC by Jeremy Allison
Modified: 2009-07-18 01:34 UTC (History)
1 user (show)

See Also:
metze: review+


Attachments
Metze's patch for 3.4.x. (1.24 KB, patch)
2009-07-07 15:14 UTC, Jeremy Allison
no flags Details
Metze's patch, back ported to 3.3 (1.22 KB, patch)
2009-07-07 15:37 UTC, Jeremy Allison
no flags Details
Metze's patch for 3.4.x - commit message fixed. (1.18 KB, application/octet-stream)
2009-07-08 12:59 UTC, Jeremy Allison
jra: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2009-07-07 15:12:24 UTC
Metze pointed out an error in backing out already acquired Windows locks in a lockingX call if we get an error.
Comment 1 Jeremy Allison 2009-07-07 15:14:06 UTC
Created attachment 4400 [details]
Metze's patch for 3.4.x.
Comment 2 Jeremy Allison 2009-07-07 15:37:08 UTC
Created attachment 4401 [details]
Metze's patch, back ported to 3.3
Comment 3 Stefan Metzmacher 2009-07-08 03:55:32 UTC
The patch for 3.4 has the same line twice in the commit message...
Comment 4 Jeremy Allison 2009-07-08 12:05:32 UTC
Don't know how that happened. Bloody git :-).
Jeremy.
Comment 5 Jeremy Allison 2009-07-08 12:59:43 UTC
Created attachment 4408 [details]
Metze's patch for 3.4.x - commit message fixed.
Comment 6 Karolin Seeger 2009-07-18 01:34:45 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks!